import { defineComponent } from 'vue'
import icon404 from '@common/images/404.png'
import { ElButton } from 'element-plus'
import styles from './index.module.less'

export default defineComponent({
  name: '404',
  render() {
    return (
      <div class="text-center py-32">
        <img src={icon404} class={['w-[425px] h-[375px] m-auto', styles.img]} />

        <p class={['pt-9 pb-6 text-xl text-[#999]', styles.tips]}>
          抱歉，页面找不到了～
        </p>

        <ElButton
          type="primary"
          class={styles.btn}
          onClick={() => {
            this.$router.push('/')
          }}
        >
          回到首页
        </ElButton>
      </div>
    )
  }
})
